Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154960 - tmpwatch prints unnecessary errors
Summary: tmpwatch prints unnecessary errors
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: tmpwatch
Version: 2.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 03:37 UTC by John Newbigin
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version: 2.9.3-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-25 23:49:36 UTC


Attachments (Terms of Use)

Description John Newbigin 2005-04-15 03:37:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050319

Description of problem:
If a temporary file is deleted before tmpwatch has a chance to lstat it it prints the following error:
error: failed to lstat /tmp/some-file: No such file or directory

These errors end up in emails from the cron daemon.

This error should be silently ignored.

Version-Release number of selected component (if applicable):
tmpwatch-2.8.1-1

How reproducible:
Always

Steps to Reproduce:
mkdir /tmp/asdf
cd /tmp/asdf
while true ; do /usr/sbin/tmpwatch 1 /tmp/asdf ; done &
while true ; do touch file1 ; rm file1 ; done &

(and if needed)
while true ; do touch file2 ; rm file2 ; done &

  

Actual Results:  error: failed to lstat /tmp/asdf/file1: No such file or directory
error: failed to lstat /tmp/asdf/file1: No such file or directory
error: failed to lstat /tmp/asdf/file1: No such file or directory
...


Expected Results:  No output.

Additional info:

Present also in EL3.  Have not checked EL4

Comment 1 Miloslav Trmač 2005-04-16 11:02:04 UTC
Fixed in rawhide tmpwatch-2.9.3-1. Thanks for your report.

Comment 2 John Newbigin 2007-10-25 23:41:20 UTC
This bug is still present in RHEL4 tmpwatch-2.9.1-1

error: failed to lstat /tmp/asdf/file2: No such file or directory

Comment 3 Miloslav Trmač 2007-10-25 23:49:36 UTC
Thank you for verifying that.  For RHEL4, this bug is currently tracked as #247880.

Comment 4 John Newbigin 2007-10-26 00:43:25 UTC
You are not authorized to access bug #247880

Any chance of seeing bug #247880?

Comment 5 Miloslav Trmač 2007-10-26 14:43:50 UTC
I don't think I'm allowed to do that - but the #247880 contains no additional
information about the bug.


Note You need to log in before you can comment on or make changes to this bug.